#include<iostream>
using namespace std;

int main(){
	
	int n,m;
	
	cin >> n >> m;
	
	int d[n],u[n];
		
	for(int i=1;i<=n;i++){
		cin >> d[i] >> u[i];
	}
	
	int l[m],r[m],x[m];
	
	for(int i=1;i<=m;i++){
		cin >> l[i] >> r[i] >> x[i];	
	}
	

	
	for(int j=1;j<=m;j++){
		
		int p=0;
		
		for(int i=1;i<=n;i++){
			

			if(i==l[j]){
				
				for(int k=i;k<=r[j];k++){
					
					if(x[j]>=d[k] && x[j]<=u[k]){
						p++;
					}
					
				}
				
			}
			
		}
		
		cout<< p<< endl;	
			
	}		
	}